interface RemoveBgOptions {
    apiKey: string;
    /**
     * Default "regular", which costs 1 credit. "hd" costs 5.
     */
    size?: "regular" | "hd";
    outputFile?: string;
}
export interface RemoveBgUrlOptions extends RemoveBgOptions {
    url: string;
}
export interface RemoveBgBase64Options extends RemoveBgOptions {
    base64img: string;
}
export interface RemoveBgFileOptions extends RemoveBgOptions {
    path: string;
}
export interface RemoveBgResult {
    base64img: string;
}
export interface RemoveBgError {
    title: string;
    detail: string;
}
export declare function removeBackgroundFromImageUrl(options: RemoveBgUrlOptions): Promise<RemoveBgResult>;
export declare function removeBackgroundFromImageFile(options: RemoveBgFileOptions): Promise<RemoveBgResult>;
export declare function removeBackgroundFromImageBase64(options: RemoveBgBase64Options): Promise<RemoveBgResult>;
export {};
